[arch-commits] Commit in (4 files)

Jan de Groot jgc at archlinux.org
Mon Apr 13 13:40:01 EDT 2009


    Date: Monday, April 13, 2009 @ 13:40:01
  Author: jgc
Revision: 35449

Add new package

Added:
  devicekit/
  devicekit/repos/
  devicekit/trunk/
  devicekit/trunk/PKGBUILD

----------+
 PKGBUILD |   27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

Added: devicekit/trunk/PKGBUILD
===================================================================
--- devicekit/trunk/PKGBUILD	                        (rev 0)
+++ devicekit/trunk/PKGBUILD	2009-04-13 17:40:01 UTC (rev 35449)
@@ -0,0 +1,27 @@
+# $Id: $
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+# Contributor: Denis Zawada <deno at rootnode.net>
+# Contributor: Gerardo Exequiel Pozzi <vmlinuz386 at yahoo.com.ar>
+
+pkgname=devicekit
+pkgver=003
+pkgrel=1
+pkgdesc="DeviceKit is an abstraction for enumerating devices and listening to device events"
+arch=('i686' 'x86_64')
+url="http://www.freedesktop.org/wiki/Software/DeviceKit"
+license=('LGPL')
+groups=('devicekit')
+depends=('dbus-glib>=0.80' 'udev>=141')
+makedepends=('gtk-doc' 'pkgconfig' 'docbook-xsl')
+options=('!libtool')
+install=
+source=("http://hal.freedesktop.org/releases/DeviceKit-${pkgver}.tar.gz")
+md5sums=('8b311547f4a2c8c6b6598e3318d66cd7')
+
+build() {
+  cd "${srcdir}/DeviceKit-${pkgver}"
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
+              --libexecdir=/usr/lib/DeviceKit --disable-static
+  make || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+}



More information about the arch-commits mailing list